Skip to main content
PATCH
/
integration
/
{id}
Update integration
curl --request PATCH \
  --url https://api.wirespeed.co/integration/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "enabled": true,
  "requiresConfiguration": true,
  "customFields": {},
  "apiKey": "<string>"
}
'
{
  "id": "<string>",
  "platform": "aws",
  "enabled": true,
  "teamId": "<string>",
  "config": {
    "authType": "oauth2",
    "name": "<string>",
    "customFields": [
      {
        "slug": "<string>",
        "display": "<string>",
        "type": "<string>",
        "required": true,
        "description": "<string>",
        "validationPattern": "<string>",
        "validationMinLength": 123,
        "validationMaxLength": 123,
        "source": "<string>",
        "advancedOption": true,
        "nonEditable": true
      }
    ],
    "logo": "<string>",
    "logoLight": "<string>",
    "logoDark": "<string>",
    "beta": true,
    "description": "<string>",
    "slug": "<string>",
    "internalCreds": true,
    "docsUrl": "<string>",
    "default": true,
    "rtfm": true,
    "useCases": [
      "chat_ops"
    ],
    "webhookActions": [
      {
        "slug": "<string>",
        "display": "<string>",
        "description": "<string>",
        "useCases": [
          "chat_ops"
        ],
        "showWebhookSecret": true
      }
    ],
    "singleInstallOnly": true,
    "oauthRequiresRedirect": true,
    "requiresConfiguration": true,
    "requiresWebhook": true,
    "integrationTypes": [
      "collaboration"
    ],
    "hideFromCatalog": true
  },
  "permissionsUpdateAvailable": true,
  "permissionUpdateExplanation": "<string>",
  "identityFields": {},
  "createdAt": "<string>",
  "publicEntitlements": [
    {
      "slug": "<string>",
      "display": "<string>",
      "value": true,
      "dismissed": true,
      "description": "<string>",
      "warning": {
        "when": true,
        "message": "<string>"
      }
    }
  ],
  "teamName": "<string>",
  "requiresConfiguration": "<string>",
  "muteHourlyQuality": {}
}

Path Parameters

id
string<uuid>
required

Integration ID

Body

application/json
enabled
boolean

Whether to enable or disable the integration

requiresConfiguration
boolean

Whether the integration requires additional configuration

customFields
object

Custom fields to update

apiKey
string

Replacement API token for API-token integrations (when credentials expire)

Response

id
string
required

Unique identifier for the integration

platform
enum<string>
required

Integration platform type

Available options:
aws,
bitwarden,
box,
checkpoint-firewall,
checkpoint-harmony,
cisco-catalyst,
cisco-duo,
cisco-meraki,
cisco-secure-access,
cisco-umbrella,
connectwise-psa,
crowdstrike-falcon,
darktrace,
email,
fortianalyzer,
fortinet,
generic-json,
generic-syslog,
google-alert-center,
google-directory,
google-security-center,
halcyon,
halo-itsm,
have-i-been-pwned,
horizon3,
hyas-protect,
ipinfo,
jamf-pro,
jamf-protect,
jira-cloud,
jira-data-center,
kandji,
manage-engine-ad-audit-plus,
microsoft,
microsoft-entra,
microsoft-teams,
microsoft-teams-v2,
mimecast,
okta,
one-password,
orca-security,
palo-alto-networks-cortex,
reversing-labs,
safebreach,
sentinel-one,
service-now,
slack,
sms,
smtp,
sonic-wall,
thinkst-canary,
vectra,
windows-event-logs,
wirespeed,
wiz,
wordfence,
zscaler-zpa
enabled
boolean
required

Whether the integration is enabled

teamId
string
required

ID of the team that owns this integration

config
object
required

Integration configuration metadata

permissionsUpdateAvailable
boolean
required

Whether a permissions update is available for this integration

permissionUpdateExplanation
string
required

Explanation for why a permissions update is available

identityFields
object
required

Identity fields that uniquely identify this integration instance

createdAt
string
required

Timestamp when integration was created

publicEntitlements
object[]
required

Public entitlements with their current values and warning states

teamName
string

Name of the team that owns this integration

requiresConfiguration
string

Whether the integration requires additional configuration

muteHourlyQuality
object

Mute hourly quality notifications by log type. Key is log type, value is timestamp until which it is muted.